Ansys Products

Ansys Products

Discuss installation & licensing of our Ansys Teaching and Research products

Lumerical installation in linux. Error while converting RPM to DEB using alien.

TAGGED: , , ,

    • Anoop Varghese
      Subscriber

      Hi, as mentioned in the title, I got this error "Unpacking of 'Lumerical-2024R1-3-afe718e21a.el7.x86_64.rpm' failed at /usr/share/perl5/Alien/Package/Rpm.pm line 168." It is a very common alien error. As per the advices I got from linux forums, I used distrobox, created a fedora container and used the RPM file to install Lumerical inside the fedora container. So I have to enter the container everytime to launch Lumerical. I have 2 queries.

      1. I plan to use Python API in the future. Will I get any errors when I do this?
      2. Is there a DEB version available?

      Edit: My OS is Linux Mint Cinnamon Edge OS

    • Lito
      Ansys Employee

      @Anoop Varghese,

      You can try the 'extract-rpm.sh' script that comes with our installation package. Then install the list from the 'missing_packages.txt' file generated after extracting the installation files into the current working directory.  >> Installing on a shared filesystem on Linux – Ansys Optics  

      Do take note that we do not support Linux mint. >> System Requirements – Ansys Optics 

Viewing 1 reply thread
  • You must be logged in to reply to this topic.